Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] dracut: depend on eudev
@ 2019-11-04  5:34 voidlinux-github
  2019-11-04 15:34 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (12 more replies)
  0 siblings, 13 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-04  5:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 382 bytes --]

There is a new pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages dracut-depends-udev
https://github.com/void-linux/void-packages/pull/16098

dracut: depend on eudev
dracut uses udev to find devices and activate corresponding script

A patch file from https://github.com/void-linux/void-packages/pull/16098.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-dracut-depends-udev-16098.patch --]
[-- Type: text/x-diff, Size: 961 bytes --]

From 557a750766570e608787cf5604cc89c32201ec42 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 4 Nov 2019 07:44:43 +0700
Subject: [PATCH] dracut: depend on eudev

---
 srcpkgs/dracut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dracut/template b/srcpkgs/dracut/template
index 25614b2d3e2..e18827cb3d9 100644
--- a/srcpkgs/dracut/template
+++ b/srcpkgs/dracut/template
@@ -1,13 +1,13 @@
 # Template file for 'dracut'
 pkgname=dracut
 version=049
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --sysconfdir=/etc"
 conf_files="/etc/dracut.conf"
 hostmakedepends="asciidoc pkg-config"
 makedepends="libkmod-devel"
-depends="bash coreutils cpio psmisc"
+depends="bash coreutils cpio eudev psmisc"
 short_desc="Low-level tool for generating an initramfs/initrd image"
 maintainer="q66 <daniel@octaforge.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
@ 2019-11-04 15:34 ` " voidlinux-github
  2019-11-07 15:08 ` voidlinux-github
                   ` (11 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-04 15:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 387 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages dracut-depends-udev
https://github.com/void-linux/void-packages/pull/16098

dracut: depend on eudev
dracut uses udev to find devices and activate corresponding script

A patch file from https://github.com/void-linux/void-packages/pull/16098.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-dracut-depends-udev-16098.patch --]
[-- Type: text/x-diff, Size: 961 bytes --]

From 48b1dfb28cbb9f3bc93ab5fad874a1a70373f1b7 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 4 Nov 2019 07:44:43 +0700
Subject: [PATCH] dracut: depend on eudev

---
 srcpkgs/dracut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dracut/template b/srcpkgs/dracut/template
index 25614b2d3e2..e18827cb3d9 100644
--- a/srcpkgs/dracut/template
+++ b/srcpkgs/dracut/template
@@ -1,13 +1,13 @@
 # Template file for 'dracut'
 pkgname=dracut
 version=049
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --sysconfdir=/etc"
 conf_files="/etc/dracut.conf"
 hostmakedepends="asciidoc pkg-config"
 makedepends="libkmod-devel"
-depends="bash coreutils cpio psmisc"
+depends="bash coreutils cpio eudev psmisc"
 short_desc="Low-level tool for generating an initramfs/initrd image"
 maintainer="q66 <daniel@octaforge.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
  2019-11-04 15:34 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-11-07 15:08 ` voidlinux-github
  2019-11-07 15:08 ` voidlinux-github
                   ` (10 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-07 15:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 204 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551119262

Comment:
I'd also add these dependencies: `util-linux e2fsprogs kmod kpartx`

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
  2019-11-04 15:34 ` [PR PATCH] [Updated] " voidlinux-github
  2019-11-07 15:08 ` voidlinux-github
@ 2019-11-07 15:08 ` voidlinux-github
  2019-11-08  1:14 ` voidlinux-github
                   ` (9 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-07 15:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 260 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551119262

Comment:
I'd also add these dependencies: `util-linux e2fsprogs kmod kpartx` (dracut uses binaries from all of those in its modules)

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (2 preceding siblings ...)
  2019-11-07 15:08 ` voidlinux-github
@ 2019-11-08  1:14 ` voidlinux-github
  2019-11-08  1:22 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (8 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  1:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 545 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551339610

Comment:
On 2019-11-07 07:08:13 -0800, Daniel Kolesa wrote:
> I'd also add these dependencies: `util-linux e2fsprogs kmod kpartx`

It's make sense to add kmod and util-linux.

But it doesn't make sense to add e2fsprogs because someone may choose
to install their system entirely on different filesystem, let's say
xfs, zfs or btrfs.

I don't have kpartx installed in my box. And dracut works pretty well.

-- 
Danh


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (3 preceding siblings ...)
  2019-11-08  1:14 ` voidlinux-github
@ 2019-11-08  1:22 ` " voidlinux-github
  2019-11-08  1:23 ` voidlinux-github
                   ` (7 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  1:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 387 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages dracut-depends-udev
https://github.com/void-linux/void-packages/pull/16098

dracut: depend on eudev
dracut uses udev to find devices and activate corresponding script

A patch file from https://github.com/void-linux/void-packages/pull/16098.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-dracut-depends-udev-16098.patch --]
[-- Type: text/x-diff, Size: 1090 bytes --]

From 8426b68c4250b5539e1061fbe2cdd0f962ec2f55 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 4 Nov 2019 07:44:43 +0700
Subject: [PATCH] dracut: depend on eudev and kmod

- udev is required to find devices and activate corresponding script.
- kmod is required at least 3.7 in dracut-init.sh
---
 srcpkgs/dracut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dracut/template b/srcpkgs/dracut/template
index 25614b2d3e2..e18827cb3d9 100644
--- a/srcpkgs/dracut/template
+++ b/srcpkgs/dracut/template
@@ -1,13 +1,13 @@
 # Template file for 'dracut'
 pkgname=dracut
 version=049
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --sysconfdir=/etc"
 conf_files="/etc/dracut.conf"
 hostmakedepends="asciidoc pkg-config"
 makedepends="libkmod-devel"
-depends="bash coreutils cpio psmisc"
+depends="bash coreutils cpio eudev psmisc"
 short_desc="Low-level tool for generating an initramfs/initrd image"
 maintainer="q66 <daniel@octaforge.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (4 preceding siblings ...)
  2019-11-08  1:22 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-11-08  1:23 ` voidlinux-github
  2019-11-08  2:18 ` voidlinux-github
                   ` (6 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  1:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 387 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages dracut-depends-udev
https://github.com/void-linux/void-packages/pull/16098

dracut: depend on eudev
dracut uses udev to find devices and activate corresponding script

A patch file from https://github.com/void-linux/void-packages/pull/16098.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-dracut-depends-udev-16098.patch --]
[-- Type: text/x-diff, Size: 1111 bytes --]

From 4f85f036dfab2f6528a70f855ebefbfe3fb391fb Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 4 Nov 2019 07:44:43 +0700
Subject: [PATCH] dracut: depend on eudev and kmod

- udev is required to find devices and activate corresponding script.
- kmod is required at least 3.7 in dracut-init.sh
---
 srcpkgs/dracut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dracut/template b/srcpkgs/dracut/template
index 25614b2d3e2..8748574a97a 100644
--- a/srcpkgs/dracut/template
+++ b/srcpkgs/dracut/template
@@ -1,13 +1,13 @@
 # Template file for 'dracut'
 pkgname=dracut
 version=049
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --sysconfdir=/etc"
 conf_files="/etc/dracut.conf"
 hostmakedepends="asciidoc pkg-config"
 makedepends="libkmod-devel"
-depends="bash coreutils cpio psmisc"
+depends="bash coreutils cpio eudev kmod>=3.7 psmisc util-linux"
 short_desc="Low-level tool for generating an initramfs/initrd image"
 maintainer="q66 <daniel@octaforge.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (5 preceding siblings ...)
  2019-11-08  1:23 ` voidlinux-github
@ 2019-11-08  2:18 ` voidlinux-github
  2019-11-08  3:52 ` voidlinux-github
                   ` (5 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  2:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 418 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551354523

Comment:
`kpartx` is required by `90multipath` and `90dmraid` modules and is a hard dependency in both e.g. debian and the official rpm .spec file (plus it's rather tiny), `e2fsprogs` is a hard dep in debian but not in the .spec, it's used by multiple modules but i guess mostly optionally.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (6 preceding siblings ...)
  2019-11-08  2:18 ` voidlinux-github
@ 2019-11-08  3:52 ` voidlinux-github
  2019-11-08  4:02 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (4 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  3:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1930 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551373412

Comment:
On 2019-11-07 18:18:58 -0800, Daniel Kolesa wrote:
> `kpartx` is required by `90multipath` and `90dmraid` modules and is
> a hard dependency in both e.g. debian and the official rpm .spec
> file (plus it's rather tiny), `e2fsprogs` is a hard dep in debian
> but not in the .spec, it's used by multiple modules but i guess
> mostly optionally.

    $ cat /usr/lib/dracut/dracut.conf.d/*.conf
    #
    # Void Linux default settings for dracut.
    #
    # Don't edit this file, it will be overwritten on next update.
    #
    add_dracutmodules+=" drm "
    stdloglvl=4
    add_dracutmodules+=" resume "
    omit_dracutmodules+=" systemd "
    i18n_vars="/etc/rc.conf:KEYMAP,FONT,FONT_MAP,FONT_UNIMAP"

Our default settings for dracut doesn't include multipath and dmraid.
We haven't shipped multipathd, anyway.
The dracut.spec file also put kpartx in the Recommends for fedora and
rhel (or for anything not fedora and rhel, I'm not familiar with spec
grmmar).

But, I think adding kpartx isn't a big deal, since it's a tiny package.

But, if we're gonna add every binary that dracut is using to depends,
I don't think it's a good idea.

How about adding this patch instead:

```
 modules.d/90dmraid/module-setup.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/modules.d/90dmraid/module-setup.sh b/modules.d/90dmraid/module-setup.sh
index 797a58e5..8038899a 100755
--- a/modules.d/90dmraid/module-setup.sh
+++ b/modules.d/90dmraid/module-setup.sh
@@ -6,6 +6,7 @@ check() {
     # if we don't have dmraid installed on the host system, no point
     # in trying to support it in the initramfs.
     require_binaries dmraid || return 1
+    require_binaries kpartx || return 1
 
     [[ $hostonly ]] || [[ $mount_needs ]] && {
         for dev in "${!host_fs_types[@]}"; do
```

-- 
Danh


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (7 preceding siblings ...)
  2019-11-08  3:52 ` voidlinux-github
@ 2019-11-08  4:02 ` " voidlinux-github
  2019-11-08  5:57 ` voidlinux-github
                   ` (3 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  4:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 387 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages dracut-depends-udev
https://github.com/void-linux/void-packages/pull/16098

dracut: depend on eudev
dracut uses udev to find devices and activate corresponding script

A patch file from https://github.com/void-linux/void-packages/pull/16098.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-dracut-depends-udev-16098.patch --]
[-- Type: text/x-diff, Size: 1123 bytes --]

From c402e55f9c51fa6ea7b78964d266b4479eb53cbe Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 4 Nov 2019 07:44:43 +0700
Subject: [PATCH] dracut: depend on eudev and kmod

- udev is required to find devices and activate corresponding script.
- kmod is required at least 3.7 in dracut-init.sh
---
 srcpkgs/dracut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dracut/template b/srcpkgs/dracut/template
index 25614b2d3e2..f5e420eb6bd 100644
--- a/srcpkgs/dracut/template
+++ b/srcpkgs/dracut/template
@@ -1,13 +1,13 @@
 # Template file for 'dracut'
 pkgname=dracut
 version=049
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --sysconfdir=/etc"
 conf_files="/etc/dracut.conf"
 hostmakedepends="asciidoc pkg-config"
 makedepends="libkmod-devel"
-depends="bash coreutils cpio psmisc"
+depends="bash coreutils cpio eudev gzip kmod>=3.7 kpartx psmisc util-linux"
 short_desc="Low-level tool for generating an initramfs/initrd image"
 maintainer="q66 <daniel@octaforge.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (8 preceding siblings ...)
  2019-11-08  4:02 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-11-08  5:57 ` voidlinux-github
  2019-11-08  6:00 ` voidlinux-github
                   ` (2 subsequent siblings)
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  5:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 242 bytes --]

New comment by the-maldridge on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551396042

Comment:
Looks good to merge, but before I do can you explain why you have a version constraint on kmod?

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (9 preceding siblings ...)
  2019-11-08  5:57 ` voidlinux-github
@ 2019-11-08  6:00 ` voidlinux-github
  2019-11-08  6:16 ` [PR PATCH] [Merged]: " voidlinux-github
  2019-11-08  7:33 ` voidlinux-github
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  6:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 428 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551396847

Comment:
On November 8, 2019 5:57:08 AM UTC, Michael Aldridge <notifications@github.com> wrote:
>Looks good to merge, but before I do can you explain why you have a
>version constraint on kmod?

Well, it's written in the commit mesage


- kmod is required at least 3.7 in dracut-init.sh


-- 
Danh


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Merged]: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (10 preceding siblings ...)
  2019-11-08  6:00 ` voidlinux-github
@ 2019-11-08  6:16 ` " voidlinux-github
  2019-11-08  7:33 ` voidlinux-github
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  6:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 223 bytes --]

There's a merged pull request on the void-packages repository

dracut: depend on eudev
https://github.com/void-linux/void-packages/pull/16098

Description:
dracut uses udev to find devices and activate corresponding script

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: dracut: depend on eudev
  2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
                   ` (11 preceding siblings ...)
  2019-11-08  6:16 ` [PR PATCH] [Merged]: " voidlinux-github
@ 2019-11-08  7:33 ` voidlinux-github
  12 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-11-08  7:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 329 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/16098#issuecomment-551418878

Comment:
We do ship the dracut modules (the default is to include all available modules). The version constraint is also useless since we never shipped an old enough version of kmod in the first place.

^ permalink raw reply	[flat|nested] 14+ messages in thread

end of thread, back to index

Thread overview: 14+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-04  5:34 [PR PATCH] dracut: depend on eudev voidlinux-github
2019-11-04 15:34 ` [PR PATCH] [Updated] " voidlinux-github
2019-11-07 15:08 ` voidlinux-github
2019-11-07 15:08 ` voidlinux-github
2019-11-08  1:14 ` voidlinux-github
2019-11-08  1:22 ` [PR PATCH] [Updated] " voidlinux-github
2019-11-08  1:23 ` voidlinux-github
2019-11-08  2:18 ` voidlinux-github
2019-11-08  3:52 ` voidlinux-github
2019-11-08  4:02 ` [PR PATCH] [Updated] " voidlinux-github
2019-11-08  5:57 ` voidlinux-github
2019-11-08  6:00 ` voidlinux-github
2019-11-08  6:16 ` [PR PATCH] [Merged]: " voidlinux-github
2019-11-08  7:33 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git